ghc-lib-parser-9.14.1.20251220: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Builtin.Types.Literals

# Documentation

tryInteractInertFam :: BuiltInSynFamily -> TyCon -> [Type] -> [Type] -> [(CoAxiomRule, TypeEqn)] #

tryInteractTopFam :: BuiltInSynFamily -> TyCon -> [Type] -> Type -> [(CoAxiomRule, TypeEqn)] #

tryMatchFam :: BuiltInSynFamily -> [Type] -> Maybe (CoAxiomRule, [Type], Type) #

typeNatTyCons :: [TyCon] #

typeNatCoAxiomRules :: UniqFM FastString CoAxiomRule #

data BuiltInSynFamily #

Constructors

BuiltInSynFamily |

Fields

- sfMatchFam :: [BuiltInFamRewrite]
- sfInteract :: [BuiltInFamInjectivity]

typeNatAddTyCon :: TyCon #

typeNatMulTyCon :: TyCon #

typeNatExpTyCon :: TyCon #

typeNatSubTyCon :: TyCon #

typeNatDivTyCon :: TyCon #

typeNatModTyCon :: TyCon #

typeNatLogTyCon :: TyCon #

typeNatCmpTyCon :: TyCon #

typeSymbolCmpTyCon :: TyCon #

typeSymbolAppendTyCon :: TyCon #

typeCharCmpTyCon :: TyCon #

typeConsSymbolTyCon :: TyCon #

typeUnconsSymbolTyCon :: TyCon #

typeCharToNatTyCon :: TyCon #

typeNatToCharTyCon :: TyCon #